Subject: Re: [bitcoin-dev] Consensus based block size retargeting algorithm (draft)

From: Jorge Timón <[email-masked]>
Date: Sat, 29 Aug 2015 01:44:22 +0200

On Sat, Aug 29, 2015 at 1:36 AM, Btc Drak via bitcoin-dev
<[email-masked]> wrote:
> On Fri, Aug 28, 2015 at 10:15 PM, Matt Whitlock <[email-masked]> wrote:
>> However, this proposal currently fails to answer a very important question:
>>
>> • What is the mechanism for activation of the new consensus rule? It is when a certain percentage of the blocks mined in a 2016-block retargeting period contain valid block-size votes?
>
> I chose not to address hard fork methodology at this stage because I
> wanted to focus on the main algorithm. There are a number of options
> open to us for deployment including a simple fixed activation (which I
> think is feasible because there is a a lot of awareness and the
> industry shows they are willing to rally around a single proposal). If
> there are any strong preferences, I can add a deployment section
> although I think it's less interesting until we forge a clear way
> forward with what blocksize proposal to use.

Can we please not discuss an ideal deployment mechanism in 4+
different proposals and discuss the same deployment mechanism (for all
proposals) in BIP99's thread instead?